### Method

# Gimp Palette delete_entry

since: 2.2

#### Declaration [src]

    gboolean
    gimp_palette_delete_entry (
      GimpPalette* palette,
      gint entry_num
    )

#### Description [src]

Deletes an entry from the palette.

This function will fail and return `FALSE` if the index is out or range or if the palette is not editable. Additionally if the palette belongs to an indexed image, it will only be possible to delete palette colors not in use in the image.

Available since: 2.2

#### Parameters

`entry_num`

  Type: `gint`

  The index of the entry to delete.

#### Return value

Type: `gboolean`

TRUE on success.